   Copyright (C) 1998, 1999, 2000 Miodrag Vallat and others -- see file
AUTHORS for complete list.

   This library is free software; you can redistribute it and/or modify
it under the terms of the GNU Library General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

Hardware Drivers
----------------

   These drivers access to the sound hardware of the machine they run
on.  Depending on your Unix flavor, you'll end with one or more drivers
from this list:

`drv_aix'
     This driver is only available under AIX, and access its audio
     device.
     This driver only supports software mixing.

`drv_alsa'
     This driver is only available under Linux, and requires the ALSA
     driver to be compiled for your current kernel.
     This driver only supports software mixing, but a future version of
     the driver might be able to use the hardware capabilities of some
     sound cards.

`drv_dart'
     This driver is only available under OS/2 version 3 and higher
     (Warp), and uses the "Direct Audio Real-Time" interface.
     This driver only supports software mixing.

`drv_hp'
     This driver is only available under HP-UX, and access its audio
     device.
     This driver only supports software mixing.

`drv_os2'
     This driver is only available under OS/2 version 3 and higher
     (Warp), and OS/2 2.x with MMPM/2.
     This driver only supports software mixing.

`drv_oss'
     This driver is available under any Unix with the Open Sound System
     drivers installed. Linux and FreeBSD also come with the OSS/Lite
     driver (the non-commercial version of OSS) and can make use of
     this driver.
     This driver only supports software mixing.

`drv_sam9407'
     This driver is only available under Linux, and requires the Linux
     sam9407 driver to be compiled for your current kernel.
     This driver only supports hardware mixing.

`drv_sgi'
     This driver is only available under IRIX, and uses the SGI audio
     library.
     This driver only supports software mixing.

`drv_sun'
     This driver is only available under Unices which implement
     SunOS-like audio device interfaces, that is, SunOS, Solaris,
     NetBSD and OpenBSD.
     This driver only supports software mixing.

`drv_ultra'
     This driver is only available under Linux, and requires the Linux
     Ultrasound driver (the ancestor of ALSA) to be compiled for your
     current kernel.
     This driver only supports hardware mixing.

Disk Writer Drivers
-------------------

   These drivers work on any machine, since the generated sound is not
sent to hardware, but written in a file. Disk writer drivers only
support software mixing.

`drv_raw'
     This driver outputs the sound date in a file by default named
     `music.raw' in the current directory. The file has no header and
     only contains the sound output.

`drv_wav'
     This driver outputs the sound data in a RIFF WAVE file by default
     named `music.wav' in the current directory.

Other Drivers
-------------

   These drivers are of little interest, but are handy sometimes.

`drv_stdout'
     This driver outputs the sound data to the program's standard
     output. To avoid inconvenience, the data will not be output if the
     standard output is a terminal, thus you have to pipe it through
     another command or to redirect it to a file.  Using this driver
     and redirecting to a file is equivalent to using the `drv_raw'
     disk writer.
     This driver only supports software mixing.

`drv_pipe'
     This driver pipes the sound data to a command (which must be given
     in the driver commandline, via `MikMod_Init').
     This driver only supports software mixing.

`drv_nos'
     This driver doesn't produce sound at all, and will work on any
     machine.
     Since it does not have to produce sound, it supports both hardware
     and software mixing, with as many hardware voices as you like.

Index
*****